org.apache.lucene.search.spell

## Class LevensteinDistance

- java.lang.Object
- - org.apache.lucene.search.spell.LevensteinDistance

- All Implemented Interfaces:
    StringDistance

      public final class LevensteinDistance
      extends java.lang.Object
      implements StringDistance

  Levenstein edit distance class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevensteinDistance()` Optimized to run a bit faster than the static getDistance().

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDistance(java.lang.String target, java.lang.String other)` Returns a float between 0 and 1 based on how similar the specified strings are to one another.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LevensteinDistance

          public LevensteinDistance()

      Optimized to run a bit faster than the static getDistance(). In one benchmark times were 5.3sec using ctr vs 8.5sec w/ static method, thus 37% faster.

  - ### Method Detail

    - #### getDistance

          public float getDistance(java.lang.String target,
                                   java.lang.String other)

      Description copied from interface: `StringDistance`
      Returns a float between 0 and 1 based on how similar the specified strings are to one another. Returning a value of 1 means the specified strings are identical and 0 means the string are maximally different.
      Specified by:
        `getDistance` in interface `StringDistance`
      Parameters:
        `target` - The first string.
        `other` - The second string.
      Returns:
        a float between 0 and 1 based on how similar the specified strings are to one another.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.